a64bc5a6cfe9756104a86f633b0f0a01772c4b83
lrnassar
  Wed Oct 6 16:55:59 2021 -0700
Updating a few things on otto. For the most part these are changes to the wrapper emails, which had not been updated in git, and the big changes are were done by engineers directly to the hive copy without updating the tree version. The big updates for clinvar were Max, and decipher was Braney I believe. To clarify, these now updated versions are the ones that have been running daily/weekly, so all of it has been in action already.

diff --git src/hg/utils/otto/decipher/checkDecipher.sh src/hg/utils/otto/decipher/checkDecipher.sh
index 3d0de73..cf3f945 100755
--- src/hg/utils/otto/decipher/checkDecipher.sh
+++ src/hg/utils/otto/decipher/checkDecipher.sh
@@ -1,75 +1,80 @@
 #!/bin/sh -e
 set -eEu -o pipefail
 #	Do not modify this script, modify the source tree copy:
 #	src/utils/decipher/checkDecipher.sh
 #	This script is used via a cron job and kept in $HOME/bin/scripts/
 
 #	cron jobs need to ensure this is true
 #       current login requires the user be braney
 umask 002
 
 trap reportErr ERR
 
 function reportErr
 {
     echo "ERROR: DECIPHER pipeline failed"
     exit 1;
 }
 
 
 WORKDIR="/hive/data/outside/otto/decipher"
 export WORKDIR
 
 #	this is where we are going to work
 if [ ! -d "${WORKDIR}" ]; then
     echo "ERROR in DECIPHER release watch, Can not find the directory:
     ${WORKDIR}" 
     exit 255
 fi
 
 cd "${WORKDIR}"
 
 #ftppass=`cat ftp.pwd`
 #gpgpass=`cat gpg.pwd`
 
 perl login.perl > /dev/null 2>&1
 
 if test decipher-variants*.gpg -nt lastUpdate
 then
     today=`date +%F`
     mkdir -p $today
 
     CNV=decipher-cnvs*.gpg
     SNV=decipher-snvs*.gpg
     cp -p $CNV $SNV $today
 
     cd $today
 
     # unpack the gpg encrypted file
     gpg --batch --passphrase-file "../gpg.pwd.new" ${CNV}
     gpg --batch --passphrase-file "../gpg.pwd.new" ${SNV}
 
-    mkdir -p ${WORKDIR}/release/hg19
+    mkdir -p ${WORKDIR}/release/{hg38,hg19}
 
     # build the new DECIPHER track tables (builds bigBed for cnv's)
     ../buildDecipher `basename $CNV .gpg` `basename $SNV .gpg`
-    ../validateDecipher.sh hg19
+    ../validateDecipher.sh hg38
+    #../validateDecipher.sh hg19
 
     # now install
+    #for db in hg38 hg19
+    for db in hg38
+    do
         for i in `cat ../decipher.tables`
         do 
         n=$i"New"
         o=$i"Old"
-	hgsqlSwapTables hg19 $n $i $o -dropTable3
+        hgsqlSwapTables $db $n $i $o -dropTable3
+        done
     done
 
     echo "DECIPHER Installed `date`" 
 
     # Variants BED will be updated for both CNV and SNV updates
     cd ${WORKDIR}
     cp -p decipher-var*.gpg lastUpdate
 else
     echo "No update"
 fi
 
 rm decipher-*